SEQ(1)

BEZEICHNUNG
seq - eine Zahlenfolge ausgeben

ÜBERSICHT
seq [OPTION]... LETZTE
seq [OPTION]... ERSTE LETZTE
seq [OPTION]... ERSTE SCHRITTWEITE LETZTE

BESCHREIBUNG

Die Zahlen von ERSTE bis LETZTE in Schritten von SCHRITTWEITE ausgeben.

-f, --format=FORMAT
    Gleitkomma‐FORMAT im Stil von printf benutzen

-s, --separator=ZEICHENKETTE
    ZEICHENKETTE benutzen, um Zahlen zu trennen (Vorgabe: \n)

-w, --equal-width
    Gleiche Breite durch führende Nullen herstellen

--help
    Diese Hilfe anzeigen und beenden

--version
    Versionsinformation anzeigen und beenden

Wenn ERSTE oder SCHRITTWEITE weggelassen werden, wird 1 angenommen. Eine weggelassene SCHRITTWEITE wird also als 1 interpretiert, selbst wenn LETZTE kleiner als ERSTE ist. ERSTE, SCHRITTWEITE und LETZTE werden als Gleitkommazahlen interpretiert. SCHRITTWEITE ist normalerweise positiv, wenn ERSTE kleiner als LETZTE ist und SCHRITTWEITE ist normalerweise negativ, wenn ERSTE größer als LETZTE ist. FORMAT muss in der Lage sein, ein Argument vom Typ »double« auszugeben; standardmäßig ist es %.PRÄZf wenn ERSTE, SCHRITTWEITE und LETZTE alle dezimale Fixkommazahlen mit einer maximalen Genauigkeit PRÄZ sind, ansonsten %g. Die Angabe der Zahlen auf der Befehlszeile muss im englischen Format erfolgen, die Ausgabe hängt dagegen von der gewählten Locale ab (in diesem Fall wird also ein Dezimalpunkt in der Eingabe und ein Dezimalkomma in der Ausgabe benutzt).

AUTOR
Geschrieben von Ulrich Drepper.

FEHLER BERICHTEN
Berichten Sie Fehler in seq (auf Englisch) an bug-coreutils@gnu.org
Homepage der GNU coreutils: <http://www.gnu.org/software/coreutils/>
Allgemeine Hilfe zur Benutzung von GNU-Software: <http://www.gnu.org/gethelp/>
Berichten Sie Fehler in der Übersetzung von seq an <http://translationproject.org/team/de.html>

COPYRIGHT
Copyright © 2010 Free Software Foundation, Inc. Lizenz GPLv3+: GNU GPL Version 3 oder neuer <http://gnu.org/licenses/gpl.html>.
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
Die vollständige Dokumentation für seq wird als Texinfo-Handbuch gepflegt. Wenn die Programme info und seq auf Ihrem Rechner ordnungsgemäß installiert sind, können Sie mit dem Befehl

    info coreutils 'seq invocation'

auf das vollständige Handbuch zugreifen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Karl Eichwalder <ke@suse.de>, Lutz Behnke <lutz.behnke@gmx.de>, Michael Schmidt <michael@guug.de>, Michael Piefel <piefel@informatik.hu-berlin.de> und Tobias Quathamer <toddy@debian.org> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.